.sect-goods {
    padding-top: 30px;
    padding-bottom: 30px;

    &__wrap {
        display: flex;
        justify-content: space-between;

        @media (max-width:320px),
        (min-width:320px) {
            & {
                flex-direction: column;
            }
        }

        @media (min-width:960px) {
            & {
                flex-direction: row;
            }
        }
    }

    // mobile

    &__btn-filter {
        border-radius: 20px;

        background: #3BB77E;
        padding: 12px;
        color: #FFF;
        text-align: center;
        font-family: 'Quicksand, sans-serif';
        font-size: 24px;
        font-weight: 700;
        line-height: 28px;
        letter-spacing: 0.5px;
        flex-grow: 1;
        display: flex;
        justify-content: center;
        gap: 10px;
        align-items: center;
        margin-bottom: 18px;
    }

    &__mob-title {
        color: #253D4E;
        font-family: 'Quicksand', sans-serif;
        font-size: 24px;
        font-weight: 700;
        line-height: 28.8px;
        border-bottom: 2px solid #BCE3C9;
        margin: 0;
        padding-bottom: 19px;
        width: 100%;
        margin-top: 20px;
        margin-bottom: 30px;
    }

    &__mob-slider {
        margin: 0;
        display: flex;
        margin-bottom: 20px;
        overflow: hidden;

        .swiper-wrapper {
            display: flex;
        }
    }

    &__item {
        max-width: 300px;
        display: flex;

        button {
            width: 100%;
            height: 100%;
            display: flex;
            border-radius: 15px;
            border: 1px solid #ECECEC;
            background: rgba(255, 255, 255, 0.00);
            box-shadow: 5px 5px 15px 0px rgba(0, 0, 0, 0.05);
            align-items: center;
            justify-content: space-between;
            padding: 10px 15px;
            cursor: pointer;

            &.active {
                border: 1px solid #3BB77E;
                box-shadow: 10px 10px 30px 0px rgba(33, 65, 33, 0.05);
                background-color: #DEF9EC;
            }

            .category-name {
                display: flex;
                justify-content: space-between;
                align-items: center;
                color: #253D4E;
                font-family: 'Lato, sans-serif';
                font-size: 20px;
                font-weight: 400;
                line-height: 21px;
                gap: 18px;

                img {
                    width: 30px;
                    height: 30px;
                }
            }


            p {
                width: 24px;
                color: #253D4E;
                font-family: 'Lato', sans-serif;
                font-size: 12px;
                font-weight: 400;
                line-height: 24px;
                border-radius: 20px;
                background: #BCE3C9;
            }
        }



    }


    .checkbox-list {
        display: flex;
        flex-direction: column;
        margin-bottom: 20px;

        .checkbox-item {
            display: flex;
            align-items: center;
            margin-bottom: 10px;

            input {
                -webkit-appearance: none;
                -moz-appearance: none;
                appearance: none;
                width: 20px;
                height: 20px;
                border: 2px solid #3BB77E;
                border-radius: 4px;
                background-color: white;
                margin-right: 10px;
                cursor: pointer;
                position: relative;

                &:checked {
                    background-color: #3BB77E;
                }

                &:checked::after {
                    content: "";
                    position: absolute;
                    top: 2px;
                    left: 5px;
                    width: 6px;
                    height: 10px;
                    border: solid white;
                    border-width: 0 3px 3px 0;
                    transform: rotate(45deg);
                    border-radius: 0;
                }
            }


            label {
                color: #687188;
                font-family: 'Lato, sans-serif';
                font-size: 17px;
                font-weight: 400;
                line-height: 24px;
            }
        }
    }


    // mobile
    .sidebar-wrapper {
        margin-right: 25px;
        position: -webkit-sticky;
        position: sticky;
        top: 212px;
        height: calc(75vh);
        margin-right: 25px;
        margin-bottom: 30px;
        overflow-y: auto;

        .sidebar-element {
            min-width: 298px;
            border-radius: 15px;
            border: 1px solid #ECECEC;
            background: rgba(255, 255, 255, 0.00);
            box-shadow: 5px 5px 15px 0px rgba(0, 0, 0, 0.05);
            padding: 28px;
            margin-bottom: 30px;

            h4 {
                color: #253D4E;
                font-family: 'Quicksand', sans-serif;
                font-size: 24px;
                font-weight: 700;
                line-height: 28.8px;
                border-bottom: 2px solid #BCE3C9;
                margin: 0;
                padding-bottom: 19px;
                width: 100%;
                margin-bottom: 30px;
                display: flex;
                align-items: center;
                justify-content: space-between;

                svg {
                    transition: transform 0.3s ease;
                    display: inline-block;

                    &.arrow-up {
                        transform: rotate(-90deg);
                    }

                    &.arrow-down {
                        transform: rotate(90deg);
                    }
                }

            }

            .category-list {
                display: flex;
                flex-direction: column;
                gap: 15px;
                margin-top: 31px;

                .category-btn {
                    display: flex;
                    border-radius: 15px;
                    border: 1px solid #ECECEC;
                    background: rgba(255, 255, 255, 0.00);
                    box-shadow: 5px 5px 15px 0px rgba(0, 0, 0, 0.05);
                    align-items: center;
                    justify-content: space-between;
                    padding: 10px 19px;
                    cursor: pointer;
                    width: 100%;

                    &.active {
                        border: 1px solid #3BB77E;
                        box-shadow: 10px 10px 30px 0px rgba(33, 65, 33, 0.05);
                        background-color: #DEF9EC;

                    }

                    .category-name {
                        display: flex;
                        align-items: center;
                        gap: 6px;
                        margin: 0;
                    }

                    p {
                        width: 24px;
                        color: #253D4E;
                        font-family: 'Lato', sans-serif;
                        font-size: 12px;
                        font-weight: 400;
                        line-height: 24px;
                        border-radius: 20px;
                        background: #BCE3C9;
                    }
                }

                .category-item {
                    display: flex;
                    gap: 10px;
                    align-items: center;
                }

                & .category-edit {
                    margin-bottom: 3px;
                }

            }
        }

        .checkbox-wrapper {
            .checkbox-list {
                display: flex;
                flex-direction: column;

                .checkbox-item {
                    display: flex;
                    align-items: center;
                    margin-bottom: 10px;

                    input {
                        -webkit-appearance: none;
                        -moz-appearance: none;
                        appearance: none;
                        width: 20px;
                        height: 20px;
                        border: 2px solid #3BB77E;
                        border-radius: 4px;
                        background-color: white;
                        margin-right: 10px;
                        cursor: pointer;
                        position: relative;

                        &:checked {
                            background-color: #3BB77E;
                        }

                        &:checked::after {
                            content: "";
                            position: absolute;
                            top: 3px;
                            left: 6px;
                            width: 6px;
                            height: 10px;
                            border: solid white;
                            border-width: 0 3px 3px 0;
                            transform: rotate(45deg);
                            border-radius: 0;
                        }
                    }


                    label {
                        color: #687188;
                        font-family: 'Lato, sans-serif';
                        font-size: 17px;
                        font-weight: 400;
                        line-height: 24px;
                    }
                }
            }
        }

        @media (max-width:320px),
        (min-width:320px) {
            & {
                display: none;
            }

        }

        @media (min-width:960px) {
            & {
                display: block;
            }

        }

        .toggle-filters-btn {
            background-color: #FFF;
            font-family: "Lato", sans-serif;
            font-weight: 700;
            align-items: center;
            gap: 10px;
            color: #3BB77E;
            border: 1px solid #3BB77E;
            border-radius: 10px;
            padding: 10px 20px;
            cursor: pointer;
            position: fixed;
            z-index: 1000;
            display: none;
            transition: all 0.3s ease;


            &:hover {
                background-color: #3BB77E;
                color: #FFF;
            }
        }

        &.collapsed {

            .sidebar-element {
                min-width: 298px;
            }

            .toggle-filters-btn {
                display: flex;
            }
        }


        #add-img-label {

            display: flex;
            justify-content: flex-start;
            align-items: center;
            gap: 6px;

            svg {
                width: 25px;
                height: 25px;
            }

            span {
                font-size: 19px;
                font-weight: 400;
                line-height: 21px;
            }


        }

    }



    .cards-container {
        display: grid;
        flex-grow: 1;
        grid-template-columns: repeat(auto-fill, minmax(296px, 1fr));
        grid-auto-rows: min-content;
        gap: 31px 24px;
        transition: grid-template-columns 0.3s ease;

        &__item {
            transition: transform 0.3s ease, opacity 0.3s ease;

            &.fade {
                transform: scale(0.9);
            }
        }
    }

    a {
        height: fit-content;
    }



}

.custom__create-product {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;

    &-card {
        display: flex;
        justify-content: center;
        align-items: center;

        font-size: 150%;
        cursor: pointer;
        border: 1px solid #ECECEC;
        border-radius: 15px;
        padding: 25px;
        width: 100%;
        gap: 10px;

        &:hover {
            border-color: #3BB77E;
            box-shadow: rgb(222, 249, 236, ) 5px 5px 8px 0px inset, rgba(222, 249, 236, 0.5) -5px -5px 8px 3px inset;
        }
    }
}



.custom__create-category label {

    display: flex;
    justify-content: center;
    border-radius: 15px;
    border: 1px solid #ECECEC;
    background: rgba(255, 255, 255, 0);
    box-shadow: 5px 5px 15px 0px rgba(0, 0, 0, 0.05);
    align-items: center;

    padding: 10px 19px;
    cursor: pointer;
}

.category-item {
    display: flex;
    align-items: center;
}